<?
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
/*
if($user['news'] != 0){
DB::$dbs->query('UPDATE `users` SET `news` = ? WHERE `id` = ? LIMIT 1', array(0,$user['id']));
header('location:?');
exit();    
}
*/
//
//
head([]);
echo logs();
//
//
$id = num($_GET['id']);
$comm = num($_GET['comm']);
		$news = DB::$dbs->queryFetch('SELECT * FROM `topic` WHERE `id` = ? LIMIT 1', [$id]);
		//
		//
		if($news){
		if(empty($news['id'])): header('location: /topic_idea_list/'); exit; endif;
		//
		//
		$count = DB::$dbs->query("SELECT (id) FROM `topic_comm` WHERE `id_topic` = '".$news['id']."'")->rowCount();
		//
		//
		?>
		<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi"><?=$news['name'];?>
		            <? if($comm == 1){ ?><br><font color="#999999"><small><a href="?id=<?=$news['id'];?>">Вернуться в топик</a></small></font> <? } ?>
		            <? if($comm == 0){ ?><br><font color="#999999"><small><a href="?">Вернуться назад</a></small></font> <? } ?>
		            </span>
		            
		        </center>
		        
		        <?
		       //
		       //
		       if($comm == 1){
		       //
		       //
		       //
//
if(isset($_GET['del']) && $user['adm'] >= 1){
$id = num($_GET['del']);
$chat_message = DB::$dbs->queryFetch('SELECT * FROM `topic_comm` WHERE `id` = ? LIMIT 1', [$id]);
if(!$chat_message){
header('location: ?id='.$news['id'].'&comm=1');
exit();
}
//
//
DB::$dbs->query("DELETE FROM `topic_comm` WHERE `id` = ?", array($chat_message['id']));
ok2("Сообщение удалено");
header('location: ?id='.$news['id'].'&comm=1');
exit();
}
//
//
//
//
//
//
if(isset($_POST['add_message'])):
			$text = text($_POST['text']);
			//
			//
			if (empty($text) || mb_strlen($text, 'UTF-8') < 1 || mb_strlen($text, 'UTF-8') > 500):
				$err = 'Сообщение не  может быть пустым';
			endif;
			//
			//
			if($user['level'] <= 9):
			    $err = 'Для общения нужен 10 уровень';
			    endif;
			    //
			    //
			    if($user['ban_time'] > time()):
			    $err = 'Вы забанены, вам нельзя писать сообщения<br><a href="/profile/'.$user['id'].'?my_ban"><u>Узнать подробнее</u></a>';
			    endif;
			    			    //
			    //
			    if($user['spam'] > time()):
			    $err = 'Не так быстро, писать смс можно раз в 3 секунды';
			    endif;
			//
//
			if(isset($err)):
				err2($err);
				header('location: ?id='.$news['id'].'&comm=1'); exit;
			else:
DB::$dbs->query('UPDATE `users` SET `spam` = ? WHERE `id` = ? LIMIT 1', array(time()+3,$user['id']));
DB::$dbs->query('INSERT INTO `topic_comm` SET `text` = ?,`time` = ?,`id_user` = ?,`id_topic` = ?',array($text,time(),$user['id'],$news['id']));
//
//
//
//
				header('location: ?id='.$news['id'].'&comm=1'); exit;
			endif;
		        endif;
//
//
//
//
?>
		 <?
		 if($user['level'] >= 10){
		 ?>           

		            		        </center>
	<form action="?id=<?=$id;?>&comm=1" method="post">
	<textarea class="" name = 'text' id='message' placeholder='' maxlength = '5000'></textarea>
	<input type="submit" name="add_message" class="butmin" value="Отправить">
	</form>
<?
}else{
?>
<div class="menu-not"><font color="tomato">Для общения нужен 10 уровень</font></div>
<?
}
?>
<div class="stats2"></div>
		        <?
                $coll = DB::$dbs->querySingle('SELECT COUNT(id) FROM `topic_comm` WHERE `id_topic` = "'.$news['id'].'"');
		$num = 10;
		$total = intval(($coll - 1) / $num) + 1;
		$page = isset($_GET['page'])?intval($_GET['page']):1;
		if(empty($page) or $page < 0) $page = 1;
		if($page > $total) $page = $total;
		$start = $page * $num - $num; 

$sql = DB::$dbs->query("SELECT `id`,`text`,`time`,`id_user`,`id_ank` FROM `topic_comm` WHERE `id_topic` = '".$news['id']."' ORDER BY `id` DESC LIMIT $start, $num")->fetchAll(PDO::FETCH_BOTH);

				if($coll < 1){
		 ?>
		 <div class="menu-not">
		    Сообщений еще нет
		   </div>
		 <?   
		}
			foreach ($sql as $sqlls => $im): ?>


<div class="menu-not2">
<font color="">
<?=user_info($im['id_user']);?>
</font>
<span style="float: right;">
<?
if($user['adm'] >= 1){
?>
<a href="?del=<?=$im['id'];?>">
<img src="/css/img/delete.png"> 
</a>
<?
}
?>
</span>
<br>
<?
if($im['id_ank'] != 0 && $im['id_ank'] != $user['id']){
?>
<?=user_chat($im['id_ank']);?>
<?
}
if($im['id_ank'] == $user['id']){
?>
<font color='#32cd32'><?=user_chat($im['id_ank']);?></font>
<?
}
?>
<font color="#777777">
<?=bbcode($im['text']);?>
<br>
<span style="float: right;"><?=times($im['time']);?></span>
</font>
<br>
</div>


			<?php endforeach;
			?>
			</div>
			<?
			echo page('?id='.$news['id'].'&comm=1&',$page,$total); ?>
			</div>
			<?
		       //
		       //
		       ?>
		       </div></div>
		       <?
		       foot([]);
		       exit();
		       }
		       //
		       //
		        ?>
		        
		<div class="menu-us">
<?=user_info($news['id_user']);?>
<span style="float: right;"><?=times($news['time']);?></span>
<div class="stats2"></div>
<font color="#999999">
<?=bbcode($news['text']);?>
</font>
<center>
<div class="stats2"></div>
<a href="?id=<?=$news['id'];?>&comm=1">Комментарии: <?=$count;?></a>
</center>
</div>
			</div>
						</div>
<?
		//
		//
		foot([]);
		exit();    
		}
		//
		//
//
//
                $coll = DB::$dbs->querySingle('SELECT COUNT(id) FROM `topic`');
		$num = 10;
		$total = intval(($coll - 1) / $num) + 1;
		$page = isset($_GET['page'])?intval($_GET['page']):1;
		if(empty($page) or $page < 0) $page = 1;
		if($page > $total) $page = $total;
		$start = $page * $num - $num; 

$sql = DB::$dbs->query("SELECT `id`,`text`,`time`,`name` FROM `topic` ORDER BY `id` DESC LIMIT $start, $num")->fetchAll(PDO::FETCH_BOTH);
		?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Предложения по игре 
		            <br><font color="#999999"><small><a href="/topic_idea_create/">Создать топик</a></small></font>
		            </span>
		        </center>

		<?
		if($coll < 1){
		 ?>
		 <div class="menu-not">
		     Топиков еще нет
		   </div>
		 <?   
		}
			foreach ($sql as $sqlls => $im): ?>

<a href="?id=<?=$im['id'];?>">
<div class="menu-us">
<img src="/css/img/news.png"> 
<font color="#999999">
<?=$im['name'];?>
</font>
</div>
</a>


			<?php endforeach;
			?>
			</div>
			<?
			echo page('?',$page,$total); ?>
			</div>
<?
//
//
foot([]);
//
//
?>